#include <iostream>
#include <cmath>
 
using namespace std;
 
 int brojcifara(int y)
{
    if (y == 0)
        return 1;
    int brojac = 0;
    while (y != 0) {
        y = y / 10;
        ++brojac;
    }
    return brojac;
}
 
int main() {
    int n, m;
    int ponavljanja;
    cin >> n;
    cin >> m;
    int x=0;
    
    if (m>=n) ponavljanja = brojcifara(m);
 else ponavljanja = brojcifara(n);
    int randomnum = 0;
    int niz[50];
    int p=1;
 
    for (int i = ponavljanja; i >= 1 ; i--)
    {
    	randomnum++;
        if (n % 10<m % 10) {
		niz[p]=m % 10;
		p++;
	}
        else 
		if (n % 10>m % 10) {
		niz[p]=n % 10;
		p++;
    }
		else 
		if ((n>0) and (m>0)){
		niz[p]=n % 10; 
		p++;
		niz[p]=m % 10;
		p++;
	}
        else 
		if ((m>0) and (n==0)){
		niz[p]=m % 10;
    	p++;
	}
		else {
			niz[p]=n % 10;
			p++;
		}
        n/=10; 
        m/=10; 
    }
    p--;
    for (int j = p; j >= 1; j--) {
            cout << niz[j];
            if(x==1){
            	cout << x;
			}
}
    return 0;
}